Topic: JSON gem on installing giving error lib/json/editor.rb:977:50: ':' not

Hie,
can anybody tell me what the problem is .
I tried to install the gem from my local machine after downloading 0.4.1 versionand also from remote machine, by the command
"gem install json " for remote installation and
"gem install c:\Downloads\json-0.4.1.gem" for local installation

Bith give me the error as

Successfully installed json,version 0.4.1
Installing  RDoc documentation for json-0.4.1...

lib/json/editor.rb:977:50: ':' not followed by identified or operator

And finally my Wbrick server stops working.
Can anybody tell me whats going on and my main moto is to do AJAX validation on Rails.
Is there any other way to do it.

Thanks & Regards,
Anand Lal
Neev Technologies,
Bangalore, India.
anand@neevtech.com

Re: JSON gem on installing giving error lib/json/editor.rb:977:50: ':' not

You have some kind of syntax error in /lib/json/editor.rb on line 977. Can you find that file and post the code around line 977?

vinnie - rails forum admin

Re: JSON gem on installing giving error lib/json/editor.rb:977:50: ':' not

Hi vin,
I tried to find the file in ruby folder gems. So below is the path from where i got this file.
    C:\ruby\lib\ruby\gems\1.8\gems\json-0.4.1\lib\json
Dont know is it the correct place where it was installed.
Sending you the code.

vbox = VBox.new(false, 0)    line 976
        add(vbox)            line 977
        #vbox.border_width = 0    line 978

If you need i can send you whole file also.

Thanks & Regards,
Anand Lal
Developer,
Neev Technologies,
Bangalore, India.
anand@neevtech.com